import React from 'react';
import BARCHART from './bar'


class GLOBAL extends React.Component {
   
     constructor(props){
       super(props)
     }
  
     render(){
      
      let data_ = []
      const labels = Object.keys(this.props.data)
      const values = Object.values(this.props.data)
      for(let i = 0;i<labels.length;i++){
        let pair = {}
        pair['label'] = labels[i]
        pair['value'] = +values[i]
        data_.push(pair)
      }
       
       let barChart1 = ['NewConfirmed','NewDeaths','NewRecovered']
       let barChart2 = ['TotalConfirmed','TotalDeaths','TotalRecovered']
     
       let barChart1Data = data_.filter( d=> {
         return barChart1.includes(d.label)
       })
       
       let barChart2Data = data_.filter( d=> {
         return barChart2.includes(d.label)
       })
       
       console.log('barChartData',barChart2Data)
       
       return (
        <div class ="row"> 
         <div class="col s9">
           <BARCHART data = {barChart1Data} height = "500" width ="500"/>
        </div>  
        <div class="col s9">
           <BARCHART data = {barChart2Data} height = "500" width ="500"/>
        </div>   
        </div>   
       );
     }
}

export default GLOBAL